- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QWizard Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qwizard.h.

`#include <qwizard.h>`

Inheritance diagram for QWizard:
[legend]

List of all members.

## Public Types
enum | WizardButton { BackButton, NextButton, CommitButton, FinishButton, CancelButton, HelpButton, CustomButton1, CustomButton2, CustomButton3, Stretch, NoButton = -1, NStandardButtons = 6, NButtons = 9 }
enum | WizardPixmap { WatermarkPixmap, LogoPixmap, BannerPixmap, BackgroundPixmap, NPixmaps }
enum | WizardStyle { ClassicStyle, ModernStyle, MacStyle, AeroStyle, NStyles }
enum | WizardOption { IndependentPages = 0x00000001, IgnoreSubTitles = 0x00000002, ExtendedWatermarkPixmap = 0x00000004, NoDefaultButton = 0x00000008, NoBackButtonOnStartPage = 0x00000010, NoBackButtonOnLastPage = 0x00000020, DisabledBackButtonOnLastPage = 0x00000040, HaveNextButtonOnLastPage = 0x00000080, HaveFinishButtonOnEarlyPages = 0x00000100, NoCancelButton = 0x00000200, CancelButtonOnLeft = 0x00000400, HaveHelpButton = 0x00000800, HelpButtonOnRight = 0x00001000, HaveCustomButton1 = 0x00002000, HaveCustomButton2 = 0x00004000, HaveCustomButton3 = 0x00008000 }
## Public Slots
void | back ()
void | next ()
void | restart ()
## Signals
void | currentIdChanged (int id)
void | helpRequested ()
void | customButtonClicked (int which)
void | pageAdded (int id)
void | pageRemoved (int id)
## Public Member Functions
| QWizard (QWidget *parent=0, Qt::WindowFlags flags=0)
| ~QWizard ()
int | addPage (QWizardPage *page)
void | setPage (int id, QWizardPage *page)
void | removePage (int id)
QWizardPage * | page (int id) const
bool | hasVisitedPage (int id) const
QList< int > | visitedPages () const
QList< int > | pageIds () const
void | setStartId (int id)
int | startId () const
QWizardPage * | currentPage () const
int | currentId () const
virtual bool | validateCurrentPage ()
virtual int | nextId () const
void | setField (const QString &name, const QVariant &value)
QVariant | field (const QString &name) const
void | setWizardStyle (WizardStyle style)
WizardStyle | wizardStyle () const
void | setOption (WizardOption option, bool on=true)
bool | testOption (WizardOption option) const
void | setOptions (WizardOptions options)
WizardOptions | options () const
void | setButtonText (WizardButton which, const QString &text)
QString | buttonText (WizardButton which) const
void | setButtonLayout (const QList< WizardButton > &layout)
void | setButton (WizardButton which, QAbstractButton *button)
QAbstractButton * | button (WizardButton which) const
void | setTitleFormat (Qt::TextFormat format)
Qt::TextFormat | titleFormat () const
void | setSubTitleFormat (Qt::TextFormat format)
Qt::TextFormat | subTitleFormat () const
void | setPixmap (WizardPixmap which, const QPixmap &pixmap)
QPixmap | pixmap (WizardPixmap which) const
void | setSideWidget (QWidget *widget)
QWidget * | sideWidget () const
void | setDefaultProperty (const char *className, const char *property, const char *changedSignal)
void | setVisible (bool visible)
QSize | sizeHint () const
## Protected Member Functions
bool | event (QEvent *event)
void | resizeEvent (QResizeEvent *event)
void | paintEvent (QPaintEvent *event)
void | done (int result)
virtual void | initializePage (int id)
virtual void | cleanupPage (int id)
## Properties
WizardStyle | wizardStyle
WizardOptions | options
Qt::TextFormat | titleFormat
Qt::TextFormat | subTitleFormat
int | startId
int | currentId

## Member Enumeration Documentation

enum WizardButton

Search for all occurrences

Enumerator:

  BackButton | Search for all occurrences
  NextButton | Search for all occurrences
  CommitButton | Search for all occurrences
  FinishButton | Search for all occurrences
  CancelButton | Search for all occurrences
  HelpButton | Search for all occurrences
  CustomButton1 | Search for all occurrences
  CustomButton2 | Search for all occurrences
  CustomButton3 | Search for all occurrences
  Stretch | Search for all occurrences
  NoButton | Search for all occurrences
  NStandardButtons | Search for all occurrences
  NButtons | Search for all occurrences

Definition at line 72 of file qwizard.h.

                          {
            BackButton,
            NextButton,
            CommitButton,
            FinishButton,
            CancelButton,
            HelpButton,
            CustomButton1,
            CustomButton2,
            CustomButton3,
            Stretch,

            NoButton = -1,
            NStandardButtons = 6,
            NButtons = 9
        };

enum WizardPixmap

Search for all occurrences

Enumerator:

  WatermarkPixmap | Search for all occurrences
  LogoPixmap | Search for all occurrences
  BannerPixmap | Search for all occurrences
  BackgroundPixmap | Search for all occurrences
  NPixmaps | Search for all occurrences

Definition at line 89 of file qwizard.h.

                          {
            WatermarkPixmap,
            LogoPixmap,
            BannerPixmap,
            BackgroundPixmap,
            NPixmaps
        };

enum WizardStyle

Search for all occurrences

Enumerator:

  ClassicStyle | Search for all occurrences
  ModernStyle | Search for all occurrences
  MacStyle | Search for all occurrences
  AeroStyle | Search for all occurrences
  NStyles | Search for all occurrences

Definition at line 97 of file qwizard.h.

                         {
            ClassicStyle,
            ModernStyle,
            MacStyle,
            AeroStyle,
            NStyles
        };

enum WizardOption

Search for all occurrences

Enumerator:

  IndependentPages | Search for all occurrences
  IgnoreSubTitles | Search for all occurrences
  ExtendedWatermarkPixmap | Search for all occurrences
  NoDefaultButton | Search for all occurrences
  NoBackButtonOnStartPage | Search for all occurrences
  NoBackButtonOnLastPage | Search for all occurrences
  DisabledBackButtonOnLastPage | Search for all occurrences
  HaveNextButtonOnLastPage | Search for all occurrences
  HaveFinishButtonOnEarlyPages | Search for all occurrences
  NoCancelButton | Search for all occurrences
  CancelButtonOnLeft | Search for all occurrences
  HaveHelpButton | Search for all occurrences
  HelpButtonOnRight | Search for all occurrences
  HaveCustomButton1 | Search for all occurrences
  HaveCustomButton2 | Search for all occurrences
  HaveCustomButton3 | Search for all occurrences

Definition at line 105 of file qwizard.h.

                          {
            IndependentPages                = 0x00000001,
            IgnoreSubTitles                 = 0x00000002,
            ExtendedWatermarkPixmap         = 0x00000004,
            NoDefaultButton                 = 0x00000008,
            NoBackButtonOnStartPage         = 0x00000010,
            NoBackButtonOnLastPage          = 0x00000020,
            DisabledBackButtonOnLastPage    = 0x00000040,
            HaveNextButtonOnLastPage        = 0x00000080,
            HaveFinishButtonOnEarlyPages    = 0x00000100,
            NoCancelButton                  = 0x00000200,
            CancelButtonOnLeft              = 0x00000400,
            HaveHelpButton                  = 0x00000800,
            HelpButtonOnRight               = 0x00001000,
            HaveCustomButton1               = 0x00002000,
            HaveCustomButton2               = 0x00004000,
            HaveCustomButton3               = 0x00008000
        };

## Constructor & Destructor Documentation

QWizard | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[explicit]`

~QWizard | ( |  | ) |

## Member Function Documentation

int addPage | ( | QWizardPage * | page | ) |

Search for all occurrences

void setPage | ( | int | id,
|  | QWizardPage * | page
| ) |  |

Search for all occurrences

void removePage | ( | int | id | ) |

Search for all occurrences

QWizardPage* page | ( | int | id | ) | const

Search for all occurrences

bool hasVisitedPage | ( | int | id | ) | const

Search for all occurrences

QList<int> visitedPages | ( |  | ) | const

Search for all occurrences

QList<int> pageIds | ( |  | ) | const

Search for all occurrences

void setStartId | ( | int | id | ) |

Search for all occurrences

int startId | ( |  | ) | const

Search for all occurrences

QWizardPage* currentPage | ( |  | ) | const

Search for all occurrences

int currentId | ( |  | ) | const

Search for all occurrences

virtual bool validateCurrentPage | ( |  | ) | `[virtual]`

Search for all occurrences

virtual int nextId | ( |  | ) | const `[virtual]`

Search for all occurrences

void setField | ( | const QString & | name,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

QVariant field | ( | const QString & | name | ) | const

Search for all occurrences

void setWizardStyle | ( | WizardStyle | style | ) |

Search for all occurrences

WizardStyle wizardStyle | ( |  | ) | const

Search for all occurrences

void setOption | ( | WizardOption | option,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testOption | ( | WizardOption | option | ) | const

Search for all occurrences

void setOptions | ( | WizardOptions | options | ) |

Search for all occurrences

WizardOptions options | ( |  | ) | const

Search for all occurrences

void setButtonText | ( | WizardButton | which,
|  | const QString & | text
| ) |  |

Search for all occurrences

QString buttonText | ( | WizardButton | which | ) | const

Search for all occurrences

void setButtonLayout | ( | const QList< WizardButton > & | layout | ) |

Search for all occurrences

void setButton | ( | WizardButton | which,
|  | QAbstractButton * | button
| ) |  |

Search for all occurrences

QAbstractButton* button | ( | WizardButton | which | ) | const

Search for all occurrences

void setTitleFormat | ( | Qt::TextFormat | format | ) |

Search for all occurrences

Qt::TextFormat titleFormat | ( |  | ) | const

Search for all occurrences

void setSubTitleFormat | ( | Qt::TextFormat | format | ) |

Search for all occurrences

Qt::TextFormat subTitleFormat | ( |  | ) | const

Search for all occurrences

void setPixmap | ( | WizardPixmap | which,
|  | const QPixmap & | pixmap
| ) |  |

Search for all occurrences

QPixmap pixmap | ( | WizardPixmap | which | ) | const

Search for all occurrences

void setSideWidget | ( | QWidget * | widget | ) |

Search for all occurrences

QWidget* sideWidget | ( |  | ) | const

Search for all occurrences

void setDefaultProperty | ( | const char * | className,
|  | const char * | property,
|  | const char * | changedSignal
| ) |  |

Search for all occurrences

void setVisible | ( | bool | visible | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

void currentIdChanged | ( | int | id | ) | `[signal]`

Search for all occurrences

void helpRequested | ( |  | ) | `[signal]`

Search for all occurrences

void customButtonClicked | ( | int | which | ) | `[signal]`

Search for all occurrences

void pageAdded | ( | int | id | ) | `[signal]`

Search for all occurrences

void pageRemoved | ( | int | id | ) | `[signal]`

Search for all occurrences

void back | ( |  | ) | `[slot]`

Search for all occurrences

void next | ( |  | ) | `[slot]`

Search for all occurrences

void restart | ( |  | ) | `[slot]`

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDialog.

void paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void done | ( | int | result | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDialog.

virtual void initializePage | ( | int | id | ) | `[protected, virtual]`

Search for all occurrences

virtual void cleanupPage | ( | int | id | ) | `[protected, virtual]`

Search for all occurrences

## Property Documentation

WizardStyle wizardStyle `[read, write]`

Search for all occurrences

Definition at line 64 of file qwizard.h.

WizardOptions options `[read, write]`

Search for all occurrences

Definition at line 65 of file qwizard.h.

Qt::TextFormat titleFormat `[read, write]`

Search for all occurrences

Definition at line 66 of file qwizard.h.

Qt::TextFormat subTitleFormat `[read, write]`

Search for all occurrences

Definition at line 67 of file qwizard.h.

int startId `[read, write]`

Search for all occurrences

Definition at line 68 of file qwizard.h.

int currentId `[read]`

Search for all occurrences

Definition at line 69 of file qwizard.h.

The documentation for this class was generated from the following file:

- QtGui/qwizard.h

QWizard QWizard QWizard QWizard QWizard QWizard QWizard QWizard QWizard QWizard
QWizard QWizard QWizard QWizard QWizard QWizard QWizard QWizard QWizard QWizard